geos::geom::util::Densifier Class Reference

`#include <Densifier.h>`

## Public Member Functions

| Densifier (const Geometry *inputGeom)
void | setDistanceTolerance (double distanceTolerance)
Geometry::Ptr | getResultGeometry () const

## Static Public Member Functions

static Geometry::Ptr | densify (const Geometry *geom, double distanceTolerance)

## Detailed Description

Densifies a `Geometry` by inserting extra vertices along the line segments contained in the geometry. All segments in the created densified geometry will be no longer than than the given distance tolerance. Densified polygonal geometries are guaranteed to be topologically correct. The coordinates created during densification respect the input geometry's `PrecisionModel`.

Note: At some future point this class will offer a variety of densification strategies.

Author
  Martin Davis

The documentation for this class was generated from the following file:

- Densifier.h